/***************************************
* STORED stp_accodaConsumoUdcMP
*
* Accoda alla tab Batch il consumo di un UDC
*
* Steamware, S.E.L.
* mod: 2010.10.10
*
****************************************/
CREATE PROCEDURE [dbo].[stp_accodaConsumoUdcMP]
(
	@UDC NVARCHAR(50),
	@DataPrelFus DATETIME,
	@TurnoPrelFus NVARCHAR(5),
	@DestLega NVARCHAR(3),
	@DestTerz NVARCHAR(6)	
)
AS

BEGIN TRAN

	
	-- registro movimento da riconciliare
	INSERT INTO AS400_BatchConsumoMP(ProgUDC, UDC, DataPrelFus, TurnoPrelFus, DestLega, DestTerz)
	SELECT ProgUDC, UDC, dbo.dateToAsFormat(@DataPrelFus)
	  ,CASE      -- Se Consumo MP verso terzista non devo inserire il turno verso AS400
	      WHEN ( @DestLega = 'T01' ) THEN ''
	      ELSE LTRIM(RTRIM(@TurnoPrelFus))
	   END
	  ,LTRIM(RTRIM(@DestLega))
	  ,LTRIM(RTRIM(@DestTerz)) 
	FROM RilPro.RapQual WHERE UDC = @UDC

	-- aggiorno con data e turno di prelievo su tab RilPro (locale)
	UPDATE RilPro.RapQual
	SET DataPrelFus = dbo.dateToAsFormat(@DataPrelFus), TurnoPrelFus = LTRIM(RTRIM(@TurnoPrelFus))
	WHERE UDC = @UDC

COMMIT TRAN

RETURN

